TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Properties | List of all members
TIBCO.EMS.ADMIN.DetailedTransactionInfo Class Reference

This class represents the a transaction as it is present on the EMS server. In addition to TransactionInfo it contains more detail. Especially about Messages that are part of this transaction. More...

Inheritance diagram for TIBCO.EMS.ADMIN.DetailedTransactionInfo:

## Classes
class | ConsumerMessage
| This class represents a Message that is about to be consumed on commit. More...
class | ProducerMessage
| This class represents a Message that is about to be produced on commit. More...
class | XAMessage
| This class represents a Message that is involved in a transaction. More...

## Properties
ProducerMessage[] | ProducerMessages`[get]`
| Get the list of messages that are about to be produced on commit of this transaction. More...
ConsumerMessage[] | ConsumerMessages`[get]`
| Get the list of messages that are about to be consumed on commit of this transaction. More...
int | RemainingTime`[get]`
| Get the remaining time before this transaction times out. More...
bool | HasTimeout`[get]`
| Returns whether or not this transaction has a timeout associated with it. More...
Properties inherited from TIBCO.EMS.ADMIN.TransactionInfo
char | State`[get]`
| Returns the state of the transaction. More...
int | FormatId`[get]`
| Returns the format id of the transaction. More...
byte[] | BranchQualifier`[get]`
| Returns the branch qualifier of the transaction. More...
byte[] | GlobalTransactionId`[get]`
| Returns the global transaction id of the transaction. More...

## Additional Inherited Members
Public Member Functions inherited from TIBCO.EMS.ADMIN.TransactionInfo
override string | ToString ()
| Generate a string representation of this TransactionInfo. More...
Public Attributes inherited from TIBCO.EMS.ADMIN.TransactionInfo
const char | TRANSACTION_ACTIVE = 'A'
| State of transaction is active. More...
const char | TRANSACTION_ENDSUCCESS = 'E'
| State of transaction is endsuccess. More...
const char | TRANSACTION_ROLLBACKONLY = 'R'
| State of transaction is rollbackonly. More...
const char | TRANSACTION_PREPARED = 'P'
| State of transaction is prepared. More...
const char | TRANSACTION_SUSPENDED = 'S'
| State of transaction is Suspended. More...
const char | TRANSACTION_UNKNOWN = 'U'
| State of transaction is unknown. More...

## Detailed Description

This class represents the a transaction as it is present on the EMS server. In addition to TransactionInfo it contains more detail. Especially about Messages that are part of this transaction.

## Property Documentation

ConsumerMessage [] TIBCO.EMS.ADMIN.DetailedTransactionInfo.ConsumerMessages
| get

Get the list of messages that are about to be consumed on commit of this transaction.

Returns
  the list of messages that are about to be consumed on commit of this transaction. Null indicates messages where not collected due to transaction state.

bool TIBCO.EMS.ADMIN.DetailedTransactionInfo.HasTimeout
| get

Returns whether or not this transaction has a timeout associated with it.

Returns
  true if a timeout exists

ProducerMessage [] TIBCO.EMS.ADMIN.DetailedTransactionInfo.ProducerMessages
| get

Get the list of messages that are about to be produced on commit of this transaction.

Returns
  the list of messages that are about to be produced on commit of this transaction. Null indicates messages were not collected due to transaction state.

int TIBCO.EMS.ADMIN.DetailedTransactionInfo.RemainingTime
| get

Get the remaining time before this transaction times out.

Returns
  Remaining time before timeout (in seconds).